# Seasonality
Dynamic seasons by altering textures and colors, providing an immersive environmental experience that changes with in-game time.
## Features
- Four seasons: Winter, Spring, Summer, Fall
- Counter determined by age of world
- Full configurability
- Status Effects depending on season
- Weather control
- Use of custom textures
## Screenshots
![Imgur](https://i.imgur.com/p57oGRl.png)
![Imgur](https://i.imgur.com/Ba9WmIS.png)
![Imgur](https://i.imgur.com/BQIoncx.png)
## Configurations
- Control configuration enables user to decide season at will
- Current season displays season and is a drop down choice for user
- Player modifiers can be toggled on and off
- Seasonal weather can be toggled on and off
- Modifiers can be customized
## Status Effects
![Imgur](https://i.imgur.com/rgf8CDj.png)
## Color
This plugin color tints the materials in the scene, meaning any color choices you apply will almost always darken the object. In order to lighten an object, it is necessary to replace the texture. For example, most of the winter objects are texture replaced meaning any color choices you make won't be used.
## Global Keys
- `season_winter`
- `season_summer`
- `season_spring`
- `season_fall`
## Custom Textures
The plugin allows to use of custom textures by adding png files into the designated directories within your configuration folder in bepinex.
#### File structure
```
BepInEx
 - config
  - Seasonality
   - Textures
    - Beech
    - BeechSmall
        - spring.png
        - summer.png
        - winter.png
        - fall.png
    - Birch
    - ...
```
The names of the png files must follow the `summer.png` syntax in order for the plugin to recognize it.
#### Notes
Come find me on OdinPlus Discord in order to share texture files and learn about what the texture needs to look like.
### Texture Example
![Imgur](https://i.imgur.com/rsACu9K.png)
![Imgur](https://i.imgur.com/lagODPg.png)
![Imgur](https://i.imgur.com/dATEKVF.png)
These are the images used to modify `Beech` trees in the meadows, `spring.png` and `winter.png`, the last one is for `BeechSmall` tree `spring.png`
## Contact information
For Questions or Comments, find <span style="color:orange">Rusty</span> in the Odin Plus Team Discord

[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.com/channels/826573164371902465/1173706080023490640)

Or come find me at the [Modding Corner](https://discord.com/channels/847956617798746112/1175641735234334761)

##
If you enjoy this mod and want to support me: [Donate via Buy Me a Coffee](https://www.buymeacoffee.com/peimalcolm2)

<img src="https://i.imgur.com/VZfZR0k.png" alt="https://www.buymeacoffee.com/peimalcolm2" width="150">

## Changelog
| `Version` | `Update Notes`                                                                                   |
|-----------|--------------------------------------------------------------------------------------------------|
| 1.0.0 | - Initial Release
| 1.0.1 | - Minor improvements ( Counter does not work well on servers )
| 1.0.2 | - Clutter visual improvements
| 1.0.3 | - Tweaked configs
| 1.0.4 | - Fixed server side timer
| 1.0.5 | - Minor improvements and Project Auga compatibility
| 1.0.6 | - Birch tree custom texture fix
| 1.0.7 | - Weather EnvMan bug fix
| 1.0.8 | - Fixed grass textures, added variety to water lilies and vass and fixed admin death resetting counter
| 1.0.9 | - custom texture fix
| 1.1.0 | - Visual tweaks and added command to force reload terrain
| 1.1.1 | - Weather by season by biome configs added - delete old cfgs might be necessary
| 1.1.2 | - fixed weather config for summer being in wrong spot and moved textures out of plugin into config folder and lox fur coat turns white for winter
| 2.0.0 | - Texture replacement overhaul - Commands added - Warm Snow Weather - Summer never cold - Winter always cold - Might need to delete old configs
